/* Stockage d'une lumiere ponctuelle        */
/*                                          */
/* Auteur: Nicolas JANEY                    */
/* nicolas.janey@univ-fcomte.fr             */
/* Mars 2020                                */

#include <stdlib.h>
#include <stdio.h>
#include <math.h>

#include "Lumiere.h"
#include "LumierePonctuelle.h"
#include "Pos3D.h"

/* Constructeurs                            */
LumierePonctuelle::LumierePonctuelle(void):Lumiere() {
  p = new Pos3D();
  attenuation = false;
}

LumierePonctuelle::LumierePonctuelle(LumierePonctuelle *lp):Lumiere(lp) {
  p = new Pos3D(lp->p);
  attenuation = lp->attenuation;
}

/* Destructeur                              */
LumierePonctuelle::~LumierePonctuelle(void) {
  delete(p);
}

/* Methode d'affichage texte                */
void LumierePonctuelle::print(void) {
  Lumiere::print();
  printf(" - ");
  p->print();
  printf(" - %d",attenuation);
}
